Subject: Re: [mpls] I-D Action: draft-ietf-mpls-lsp-ping-reply-mode-simple-00.txt

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Fri, 17 Oct 2014 22:19:23 +0000

Dear all,
This is a follow-up to the action below from the MPLS-RT review of this draft.

Instead of defining a new reply mode as proposed in Section 3.1 of the draft, I suggested to relax the rule in RFC 7110 such that if the echo request includes reply mode 5 "Reply via Specified Path" and the Reply Path TLV was not included, the responder node will interpret this as an implicit request to reply via the reverse direction of the tested LSP. 

This approach would address the requirement that the sender be able of requesting the reply via the reverse path of an LSP without having to include an additional TLV.

I appreciate comments on this proposal.

Regards,
Mustapha.

> -----Original Message-----
> From: mpls [mailto:[email-masked]] On Behalf Of Nobo Akiya (nobo)
> Sent: Saturday, September 06, 2014 9:59 AM
> To: [email-masked]
> Cc: Ross Callon ([email-masked])
> Subject: Re: [mpls] I-D Action: draft-ietf-mpls-lsp-ping-reply-mode-simple-00.txt
> 
> Thank you Ross and the WG.
> 
> We have posted draft-akiya-mpls-lsp-ping-reply-mode-simple-03 as draft-ietf-mpls-
> lsp-ping-reply-mode-simple-00.
> 
> Authors would like the WG help to discuss and close off on these two aspects:
> 
> -	From Bruno Decraene: Reply Mode for SPRING and applicability of this
> document.
> 	o	There's already a thread for this.
> -	From Mustapha Aissaoui: Relaxing of Reply Mode 5 introduced by
> RFC7110 instead of defining a new Reply Mode for Reverse LSP.
> 	o	Mustapha or myself will start a thread on this topic later.
> 
> Once above are close off, then we will roll out -01 that includes:
> 
> -	Conclusion from the two aspects above.
> -	A comment received from Tarek Saad.
> -	Comments received from Lou Berger (will reply to the review comments
> from Lou soon)
> 
> URL:            http://www.ietf.org/internet-drafts/draft-ietf-mpls-lsp-ping-reply-mode-
> simple-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-reply-mode-
> simple/
> Htmlized:       http://tools.ietf.org/html/draft-ietf-mpls-lsp-ping-reply-mode-simple-00
> 
> Thanks!
> 
> -Nobo, on behalf of authors
> 
> > -----Original Message-----
> > From: mpls [mailto:[email-masked]] On Behalf Of internet-
> > [email-masked]
> > Sent: Saturday, September 06, 2014 3:41 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: [mpls] I-D Action:
> > draft-ietf-mpls-lsp-ping-reply-mode-simple-
> > 00.txt
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> >  This draft is a work item of the Multiprotocol Label Switching
> > Working Group of the IETF.
> >
> >         Title           : Label Switched Path (LSP) Ping/Traceroute Reply Mode
> > Simplification
> >         Authors         : Nobo Akiya
> >                           George Swallow
> >                           Carlos Pignataro
> >                           Loa Andersson
> >                           Mach(Guoyi) Chen
> > 	Filename        : draft-ietf-mpls-lsp-ping-reply-mode-simple-00.txt
> > 	Pages           : 11
> > 	Date            : 2014-09-05
> >
> > Abstract:
> >    The Multiprotocol Label Switching (MPLS) Label Switched Path (LSP)
> >    Ping and Traceroute use the Reply Mode field to signal the method to
> >    be used in the MPLS echo reply.  This document adds one value to the
> >    Reply Mode field to indicate reverse LSP.  This document also adds an
> >    optional TLV which can carry ordered list of Reply Mode values.
> >
> >    This document updates RFC4379.
> >
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-reply-mode-
> > simple/
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-mpls-lsp-ping-reply-mode-simple-
> > 00
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > mpls mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mpls
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Sun, 19 Oct 2014 20:48:12 +0000

MPLS WG,

Many thanks for kicking this off Mustapha.

I, for one, like Mustaphas suggestion and would be supportive of making that change. I would also be happy to change draft-ietf-mpls-lsp-ping-reply-mode-simple document to reflect this change, if there are consensus to do so.

I have cc'ed the authors of RFC7110 in case they can also chime in with thoughts.

Additionally, suggested changes should be very minimal even to those who has already implemented RC7110. However, if anybody has implemented and if anybody has concerns, I think this is a great time for to speak up.

Thanks!

-Nobo

> From: Aissaoui, Mustapha (Mustapha) [mailto:mustapha.aissaoui@alcatel-
> lucent.com]
> Sent: Friday, October 17, 2014 6:19 PM
> To: Nobo Akiya (nobo); [email-masked]
> Subject: RE: [mpls] I-D Action: draft-ietf-mpls-lsp-ping-reply-mode-simple-
> 00.txt
> 
> Dear all,
> Instead of defining a new reply mode as proposed in Section 3.1 of the draft,
> I suggested to relax the rule in RFC 7110 such that if the echo request
> includes reply mode 5 "Reply via Specified Path" and the Reply Path TLV was
> not included, the responder node will interpret this as an implicit request to
> reply via the reverse direction of the tested LSP.
> 
> This approach would address the requirement that the sender be able of
> requesting the reply via the reverse path of an LSP without having to
> include an additional TLV.
> 
> > Subject: Re: [mpls] I-D Action:
> > draft-ietf-mpls-lsp-ping-reply-mode-simple-00.txt
> >
> > We have posted draft-akiya-mpls-lsp-ping-reply-mode-simple-03 as
> > draft-ietf-mpls- lsp-ping-reply-mode-simple-00.
> >

---

From: Mach Chen <[email-masked]>
Date: Tue, 21 Oct 2014 08:43:17 +0000

Hi Nobo and Mustapha,

I think this may not just require minor changes to RFC7110, it at least requires:

1) relax the rule of reply mode 5 MUST contain a Reply TLV, and

2) deprecate the explicit way (a Reply TLV without sub-TLVs and with B bit set) to notify along reverse direction of the tested LSP;

Given there may be existing implementations and the original proposal (defined in RFC7110) works and does not require too much process cost, I incline to leave it as is and suggest not to define the new dedicated reply mode as well.   

Best regards,
Mach 

> Sent: Monday, October 20, 2014 4:48 AM
> To: Aissaoui, Mustapha (Mustapha); [email-masked]
> Cc: Ross Callon ([email-masked]);
> [email-masked];
> [email-masked]
> I, for one, like Mustaphas suggestion and would be supportive of making that
> change. I would also be happy to change
> draft-ietf-mpls-lsp-ping-reply-mode-simple document to reflect this change, if
> there are consensus to do so.
> 
> Additionally, suggested changes should be very minimal even to those who has
> already implemented RC7110. However, if anybody has implemented and if
> anybody has concerns, I think this is a great time for to speak up.
> 
> Thanks!
> 
> -Nobo
> 
> > Subject: RE: [mpls] I-D Action:
> > Instead of defining a new reply mode as proposed in Section 3.1 of the
> > draft, I suggested to relax the rule in RFC 7110 such that if the echo
> > request includes reply mode 5 "Reply via Specified Path" and the Reply
> > Path TLV was not included, the responder node will interpret this as
> > an implicit request to reply via the reverse direction of the tested LSP.
> >
> > > URL:
> http://www.ietf.org/internet-drafts/draft-ietf-mpls-lsp-ping-
> > reply-mode-
> > > simple-00.txt
> > > Status:
> > > > https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-reply-mo
> > > > de
> > > > -
> > > > simple/
> > > >
> > > > http://tools.ietf.org/html/draft-ietf-mpls-lsp-ping-reply-mode-sim
> > > > pl
> > > > e-
> > > > 00
> > > >
> > > >

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 21 Oct 2014 21:52:46 +0000

Hi Mach,

> From: Mach Chen [mailto:[email-masked]]
> Sent: Tuesday, October 21, 2014 4:43 AM
> To: Nobo Akiya (nobo); Aissaoui, Mustapha (Mustapha); [email-masked]
> Cc: Ross Callon ([email-masked]); draft-ietf-mpls-lsp-ping-reply-mode-
> [email-masked]; draft-ietf-mpls-return-path-specified-lsp-
> [email-masked]
> 2) deprecate the explicit way (a Reply TLV without sub-TLVs and with B bit
> set) to notify along reverse direction of the tested LSP;
> 
> Given there may be existing implementations and the original proposal
> (defined in RFC7110) works and does not require too much process cost, I
> incline to leave it as is and suggest not to define the new dedicated reply
> mode as well.

For backwards compatibility sake, we should preserve (2). Thus only change required is (1) which is a fairly small change. With this direction, what do you think?

Thanks!

-Nobo

> > I, for one, like Mustaphas suggestion and would be supportive of
> > making that change. I would also be happy to change
> > draft-ietf-mpls-lsp-ping-reply-mode-simple document to reflect this
> > change, if there are consensus to do so.
> >
> > Additionally, suggested changes should be very minimal even to those
> > who has already implemented RC7110. However, if anybody has
> > implemented and if anybody has concerns, I think this is a great time for to
> speak up.
> >
> > Thanks!
> >
> > -Nobo
> >
> > > Instead of defining a new reply mode as proposed in Section 3.1 of
> > > the draft, I suggested to relax the rule in RFC 7110 such that if
> > > the echo request includes reply mode 5 "Reply via Specified Path"
> > > and the Reply Path TLV was not included, the responder node will
> > > interpret this as an implicit request to reply via the reverse direction of
> the tested LSP.
> > >
> > > This approach would address the requirement that the sender be able
> > > of requesting the reply via the reverse path of an LSP without
> > > having to include an additional TLV.
> > >
> > > > Authors would like the WG help to discuss and close off on these
> > > > two
> > > aspects:
> > > >
> > > > > A New Internet-Draft is available from the on-line
> > > > > Internet-Drafts directories.
> > > > > Please note that it may take a couple of minutes from the time
> > > > > of submission until the htmlized version and diff are available
> > > > > at
> > > tools.ietf.org.
> > > > >

---

From: Mach Chen <[email-masked]>
Date: Wed, 22 Oct 2014 01:19:03 +0000

Hi Nobo,

I am fine with this change.

Best regards,
Mach

> From: Nobo Akiya (nobo) [mailto:[email-masked]]
> Sent: Wednesday, October 22, 2014 5:53 AM
> To: Mach Chen; Aissaoui, Mustapha (Mustapha); [email-masked]
> Subject: RE: [mpls] I-D Action: draft-ietf-mpls-lsp-ping-reply-mode-simple-00.txt
> 
> Hi Mach,
> 
> > draft-ietf-mpls-lsp-ping-reply-mode-
> > I think this may not just require minor changes to RFC7110, it at
> > least
> > requires:
> >
> > (defined in RFC7110) works and does not require too much process cost,
> > I incline to leave it as is and suggest not to define the new
> > dedicated reply mode as well.
> 
> For backwards compatibility sake, we should preserve (2). Thus only change
> required is (1) which is a fairly small change. With this direction, what do you
> think?
> 
> Thanks!
> 
> -Nobo
> 
> >
> > Best regards,
> > Mach
> >
> > > I have cc'ed the authors of RFC7110 in case they can also chime in
> > > with
> > thoughts.
> > >
> > > > This is a follow-up to the action below from the MPLS-RT review of
> > > > this
> > draft.
> > > >
> > > > This approach would address the requirement that the sender be
> > > > able of requesting the reply via the reverse path of an LSP
> > > > without having to include an additional TLV.
> > > >
> > > > > From: mpls [mailto:[email-masked]] On Behalf Of Nobo
> > > > > Akiya
> > > > > (nobo)
> > > > > Htmlized:
> http://tools.ietf.org/html/draft-ietf-mpls-lsp-ping-reply-
> > > > mode-simple-00
> > > > >
> > > > > Thanks!
> > > > >
> > > > > > From: mpls [mailto:[email-masked]] On Behalf Of
> > > > > > internet- [email-masked]
> > > > > >  This draft is a work item of the Multiprotocol Label
> > > > > > Switching Working Group of the IETF.
> > > > > >
> > > > > >    Ping and Traceroute use the Reply Mode field to signal the
> > > > > > method
> > to
> > > > > >    be used in the MPLS echo reply.  This document adds one
> > > > > > value to
> > the
> > > > > >    Reply Mode field to indicate reverse LSP.  This document
> > > > > > also adds
> > an
> > > > > > https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-repl
> > > > > > y-
> > > > > > mo
> > > > > > de
> > > > > > -
> > > > > > simple/
> > > > > >
> > > > > > http://tools.ietf.org/html/draft-ietf-mpls-lsp-ping-reply-mode
> > > > > > -s
> > > > > > im
> > > > > > pl
> > > > > > e-
> > > > > > 00
> > > > > >
> > > > > >
> > > > > > of submission until the htmlized version and diff are
> > > > > > available at
> > > > tools.ietf.org.
> > > > > >

---

From: Loa Andersson <[email-masked]>
Date: Wed, 22 Oct 2014 17:17:48 +0200

Nobo,

I'm a bit behind on this, but I've read now and is OK with the change.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Aissaoui, Mustapha (Mustapha)" <[email-masked]>
Date: Wed, 22 Oct 2014 23:50:37 +0000

Hi Mach and Nobo,
Just to be sure we are in sync. You are suggesting that the sender of the echo request can use two methods to request that the reply use the reverse path of the tested LSP:
1. The explicit one in RFC 7110 which includes the reply path TLV with the B-bit but with no additional sub-TLVs and requests the reply mode 5 "Reply via Specified Path". The echo reply message must include the reply TLV.

2. The relaxed one, which is implicit, and which does not include the reply path TLV and requests the same reply mode 5. Since there is no path reply TLV in the echo request, the echo reply will also not contain an reply TLV. In this case the sender node knows the relationship between the two directions of the LSP and will know if the reply was successfully received in the reverse direction without the replying node explicitly stating it. 

If that is the case, then I agree.

Regards,
Mustapha.

> Sent: Tuesday, October 21, 2014 9:19 PM
> [email-masked]; [email-masked]
> > > Given there may be existing implementations and the original
> > > proposal (defined in RFC7110) works and does not require too much
> > > process cost, I incline to leave it as is and suggest not to define
> > > the new dedicated reply mode as well.
> >
> > For backwards compatibility sake, we should preserve (2). Thus only
> > change required is (1) which is a fairly small change. With this
> > direction, what do you think?
> >
> > Thanks!
> >
> > -Nobo
> >
> > >
> > > Best regards,
> > > Mach
> > >
> > > > draft-ietf-mpls-lsp-ping-reply-mode-simple document to reflect
> > > > this change, if there are consensus to do so.
> > > >
> > > > Additionally, suggested changes should be very minimal even to
> > > > those who has already implemented RC7110. However, if anybody has
> > > > > This is a follow-up to the action below from the MPLS-RT review
> > > > > of this
> > > draft.
> > > > >
> > > > > Instead of defining a new reply mode as proposed in Section 3.1
> > > > > of the draft, I suggested to relax the rule in RFC 7110 such
> > > > > that if the echo request includes reply mode 5 "Reply via Specified Path"
> > > > > > Authors would like the WG help to discuss and close off on
> > > > > > these two
> > > > > aspects:
> > > > > >
> > > > > > >    Ping and Traceroute use the Reply Mode field to signal
> > > > > > > the method
> > > to
> > > > > > > Please note that it may take a couple of minutes from the
> > > > > > > time of submission until the htmlized version and diff are
> > > > > > > available at
> > > > > tools.ietf.org.
> > > > > > >

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Thu, 23 Oct 2014 00:06:40 +0000

Hi Loa,

Thanks for chiming in and voicing your opinion.

Thanks!

-Nobo

> From: Loa Andersson [mailto:[email-masked]]
> Sent: Wednesday, October 22, 2014 11:18 AM
> To: Mach Chen; Nobo Akiya (nobo); Aissaoui, Mustapha (Mustapha);
> [email-masked]
> Cc: Ross Callon ([email-masked]); draft-ietf-mpls-return-path-
> [email-masked]; draft-ietf-mpls-lsp-ping-reply-mode-
> [email-masked]
> >>>>>> -	From Bruno Decraene: Reply Mode for SPRING and
> applicability of
> >>>>> this
> >>>>>> document.
> >>>>>> -	Comments received from Lou Berger (will reply to the
> review
> >>>>> comments
> >>>>>> from Lou soon)
> >>>>>>
> >>>>>> URL:

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Thu, 23 Oct 2014 00:10:12 +0000

Hi Mustapha,

Thanks for clarifying that, always good to get them in writing.

(1) - no change from RFC7110 (i.e. will not be deprecated).

(2) - this will be added.
  - Reply Mode 5 with no Reply Path TLV is no longer an error.
  - Reply Mode 5 with no Reply Path TLV implies reverse LSP.

So yes we are in sync.

Thanks!

-Nobo

> Sent: Wednesday, October 22, 2014 7:51 PM
> To: Mach Chen; Nobo Akiya (nobo); [email-masked]
> Just to be sure we are in sync. You are suggesting that the sender of the
> echo request can use two methods to request that the reply use the reverse
> path of the tested LSP:
> 1. The explicit one in RFC 7110 which includes the reply path TLV with the B-
> bit but with no additional sub-TLVs and requests the reply mode 5 "Reply
> via Specified Path". The echo reply message must include the reply TLV.
> 
> 2. The relaxed one, which is implicit, and which does not include the reply
> path TLV and requests the same reply mode 5. Since there is no path reply
> TLV in the echo request, the echo reply will also not contain an reply TLV. In
> this case the sender node knows the relationship between the two
> directions of the LSP and will know if the reply was successfully received in
> the reverse direction without the replying node explicitly stating it.
> 
> > [email-masked];
> > > > process cost, I incline to leave it as is and suggest not to
> > > > define the new dedicated reply mode as well.
> > >
> > > > > I have cc'ed the authors of RFC7110 in case they can also chime
> > > > > in with
> > > > thoughts.
> > > > >
> > > > > those who has already implemented RC7110. However, if anybody
> > > > > has implemented and if anybody has concerns, I think this is a
> > > > > great time for to
> > > > speak up.
> > > > >
> > > > > Thanks!
> > > > >
> > > > > -Nobo
> > > > >
> > > > > > This is a follow-up to the action below from the MPLS-RT
> > > > > > review of this
> > > > draft.
> > > > > >
> > > > > > Instead of defining a new reply mode as proposed in Section
> > > > > > 3.1 of the draft, I suggested to relax the rule in RFC 7110
> > > > > > such that if the echo request includes reply mode 5 "Reply via
> Specified Path"
> > > > > > and the Reply Path TLV was not included, the responder node
> > > > > > will interpret this as an implicit request to reply via the
> > > > > > reverse direction of
> > > > the tested LSP.
> > > > > >
> > > > > > > We have posted
> > > > > > > draft-akiya-mpls-lsp-ping-reply-mode-simple-03
> > > > > > > as
> > > > > > > >    Reply Mode field to indicate reverse LSP.  This
> > > > > > > > document also adds
> > > > an
> > > > > > > > https://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-
> > > > > > > > re
> > > > > > > > pl
> > > > > > > > y-
> > > > > > > > mo
> > > > > > > > de
> > > > > > > > -
> > > > > > > > simple/
> > > > > > > >